libetonyek::IWORKImageElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKImageElement Class Reference

`#include <IWORKImageElement.h>`

Inheritance diagram for libetonyek::IWORKImageElement:

## Public Member Functions
| IWORKImageElement (IWORKXMLParserState &state, IWORKMediaContentPtr_t &content)
| IWORKImageElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | startOfElement () override
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
boost::optional< bool > | m_locked
IWORKMediaContentPtr_t & | m_content
IWORKMediaContentPtr_t | m_localContent
IWORKMediaContentPtr_t | m_filteredImage
boost::optional< IWORKSize > | m_size
IWORKDataPtr_t | m_data
boost::optional< IWORKColor > | m_fillColor
boost::optional< ID_t > | m_binaryRef
IWORKStylePtr_t | m_style
IWORKGeometryPtr_t | m_cropGeometry
boost::optional< IWORKSize > | m_placeholderSize

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKImageElement() [1/2]

libetonyek::IWORKImageElement::IWORKImageElement | ( | IWORKXMLParserState & | state,
|  | IWORKMediaContentPtr_t & | content )
| explicit

## ◆ IWORKImageElement() [2/2]

libetonyek::IWORKImageElement::IWORKImageElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKImageElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprivate

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKImageElement::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKImageElement::endOfElement | ( |  | ) |
| overrideprivate

## ◆ startOfElement()

void libetonyek::IWORKImageElement::startOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_binaryRef

boost::optional<ID_t> libetonyek::IWORKImageElement::m_binaryRef
| private

Referenced by element(), and endOfElement().

## ◆ m_content

IWORKMediaContentPtr_t& libetonyek::IWORKImageElement::m_content
| private

Referenced by element(), and endOfElement().

## ◆ m_cropGeometry

IWORKGeometryPtr_t libetonyek::IWORKImageElement::m_cropGeometry
| private

Referenced by element(), and endOfElement().

## ◆ m_data

IWORKDataPtr_t libetonyek::IWORKImageElement::m_data
| private

Referenced by element(), and endOfElement().

## ◆ m_fillColor

boost::optional<IWORKColor> libetonyek::IWORKImageElement::m_fillColor
| private

Referenced by element(), and endOfElement().

## ◆ m_filteredImage

IWORKMediaContentPtr_t libetonyek::IWORKImageElement::m_filteredImage
| private

Referenced by element(), and endOfElement().

## ◆ m_localContent

IWORKMediaContentPtr_t libetonyek::IWORKImageElement::m_localContent
| private

## ◆ m_locked

boost::optional<bool> libetonyek::IWORKImageElement::m_locked
| private

Referenced by attribute(), and endOfElement().

## ◆ m_placeholderSize

boost::optional<IWORKSize> libetonyek::IWORKImageElement::m_placeholderSize
| private

Referenced by element().

## ◆ m_size

boost::optional<IWORKSize> libetonyek::IWORKImageElement::m_size
| private

Referenced by element(), and endOfElement().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKImageElement::m_style
| private

Referenced by element(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKImageElement.h
- IWORKImageElement.cpp